Bug 1014574 - Support Python 3 in librepo
Support Python 3 in librepo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PY3DNF
  Show dependency treegraph
 
Reported: 2013-10-02 07:06 EDT by Miro Hrončok
Modified: 2013-10-12 06:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 08:25:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-02 07:06:33 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help use update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add te support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Ales Kozumplik 2013-10-03 02:01:01 EDT
Tomas, there is py3 support in librepo, this probably means that a koji build of the package should produce both python*librepo packages, for py2 and py3.
Comment 2 Tomas Mlcoch 2013-10-03 08:25:01 EDT
Current rawhide build adds the desired python3-librepo subpackage: http://koji.fedoraproject.org/koji/taskinfo?taskID=6019612
Comment 3 Miro Hrončok 2013-10-12 06:45:25 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.